# OpalRTPAVPMediaType Class Reference

`#include <mediatype.h>`

Inheritance diagram for OpalRTPAVPMediaType:

List of all members.

## Public Member Functions

| OpalRTPAVPMediaType (const char *mediaType, const char *sdpType, unsigned preferredSessionId)
virtual PString | GetRTPEncoding () const

## Constructor & Destructor Documentation

OpalRTPAVPMediaType::OpalRTPAVPMediaType | ( | const char * | mediaType,
|  | const char * | sdpType,
|  | unsigned | preferredSessionId |
| ) |  |  |

## Member Function Documentation

virtual PString OpalRTPAVPMediaType::GetRTPEncoding | ( |  | ) | const`[virtual]`

Implements OpalMediaTypeDefinition.

The documentation for this class was generated from the following file:

- mediatype.h